package com.uas.platform.b2b.erp.model;

import com.uas.platform.core.model.Constant;

/**
 * 买家ERP系统对报价单的采纳结果
 * 
 * @author yingp
 * 
 */
public class InquiryDecide {

	/**
	 * 询价编号
	 */
	private String in_code;

	/**
	 * 明细序号
	 */
	private Short id_detno;

	/**
	 * 采纳状态
	 */
	private Short id_agreed;

	/**
	 * 针对主动报价，主动报价id
	 */
	private Long b2b_qu_id;

	/**
	 * 平台明细id
	 */
	private Long b2b_id;

	public String getIn_code() {
		return in_code;
	}

	public void setIn_code(String in_code) {
		this.in_code = in_code;
	}

	public Short getId_detno() {
		return id_detno;
	}

	public void setId_detno(Short id_detno) {
		this.id_detno = id_detno;
	}

	public Short getId_agreed() {
		return id_agreed == null ? Constant.NO : (short) Math.abs(id_agreed);
	}

	public void setId_agreed(Short id_agreed) {
		this.id_agreed = id_agreed;
	}

	public Long getB2b_qu_id() {
		return b2b_qu_id;
	}

	public void setB2b_qu_id(Long b2b_qu_id) {
		this.b2b_qu_id = b2b_qu_id;
	}

	public Long getB2b_id() {
		return b2b_id;
	}

	public void setB2b_id(Long b2b_id) {
		this.b2b_id = b2b_id;
	}
}
